Skip to content
Start here

Get D1 database bookmark

client.d1.database.timeTravel.getBookmark(stringdatabaseId, TimeTravelGetBookmarkParams { account_id, timestamp } params, RequestOptionsoptions?): TimeTravelGetBookmarkResponse { bookmark }
GET/accounts/{account_id}/d1/database/{database_id}/time_travel/bookmark

Retrieves the current bookmark, or the nearest bookmark at or before a provided timestamp. Bookmarks can be used with the restore endpoint to revert the database to a previous point in time.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
D1 ReadD1 Write
ParametersExpand Collapse
databaseId: string

D1 database identifier (UUID).

params: TimeTravelGetBookmarkParams { account_id, timestamp }
account_id: string

Path param: Account identifier tag.

maxLength32
timestamp?: string

Query param: An optional ISO 8601 timestamp. If provided, returns the nearest available bookmark at or before this timestamp. If omitted, returns the current bookmark.

formatdate-time
ReturnsExpand Collapse
TimeTravelGetBookmarkResponse { bookmark }
bookmark?: string

A bookmark representing a specific state of the database at a specific point in time.

Get D1 database bookmark

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.d1.database.timeTravel.getBookmark(
  'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.bookmark);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "bookmark": "00000001-00000002-00004e2f-0a83ea2fceebc654de0640c422be4653"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "bookmark": "00000001-00000002-00004e2f-0a83ea2fceebc654de0640c422be4653"
  },
  "success": true
}